Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class DatabaseMetaData

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.DatabaseMetaData
            |
            +--weblogic.jdbc.pool.DatabaseMetaData

public class DatabaseMetaData
extends weblogic.jdbcbase.pool.DatabaseMetaData
implements java.sql.DatabaseMetaData

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.DatabaseMetaData
`cc, conn, dbmd`

Constructor Summary
`DatabaseMetaData(java.sql.DatabaseMetaData aDbmd, weblogic.jdbc.common.internal.ConnectionEnv aCc, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`boolean` | `deletesAreDetected(int type)`
`java.sql.Connection` | `getConnection()`
`java.sql.ResultSet` | `getUDTs(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, int[] types)`
`boolean` | `insertsAreDetected(int type)`
`protected java.sql.ResultSet` | `makeResultSet(java.sql.ResultSet aRs, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`
`boolean` | `othersDeletesAreVisible(int type)`
`boolean` | `othersInsertsAreVisible(int type)`
`boolean` | `othersUpdatesAreVisible(int type)`
`boolean` | `ownDeletesAreVisible(int type)`
`boolean` | `ownInsertsAreVisible(int type)`
`boolean` | `ownUpdatesAreVisible(int type)`
`boolean` | `supportsBatchUpdates()`
`boolean` | `supportsResultSetConcurrency(int type, int concurrency)`
`boolean` | `supportsResultSetType(int type)`
`boolean` | `updatesAreDetected(int type)`

Methods inherited from class weblogic.jdbcbase.pool.DatabaseMetaData
`allProceduresAreCallable, allTablesAreSelectable, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, doesMaxRowSizeIncludeBlobs, getBestRowIdentifier, getCatalogs, getCatalogSeparator, getCatalogTerm, getColumnPrivileges, getColumns, getCrossReference, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDriverMajorVersion, getDriverMinorVersion, getDriverName, getDriverVersion, getExportedKeys, getExtraNameCharacters, getIdentifierQuoteString, getImportedKeys, getIndexInfo, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getNumericFunctions, getPrimaryKeys, getProcedureColumns, getProcedures, getProcedureTerm, getSchemas, getSchemaTerm, getSearchStringEscape, getSQLKeywords, getStringFunctions, getSystemFunctions, getTablePrivileges, getTables, getTableTypes, getTimeDateFunctions, getTypeInfo, getURL, getUserName, getVersionColumns, isCatalogAtStart, isReadOnly, nullPlusNonNullIsNull, nullsAreSortedAtEnd, nullsAreSortedAtStart, nullsAreSortedHigh, nullsAreSortedLow, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleResultSets, supportsMultipleTransactions, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsSchemasInDataManipulation, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, usesLocalFilePerTable, usesLocalFiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseMetaData

    public DatabaseMetaData(java.sql.DatabaseMetaData aDbmd,
                            weblogic.jdbc.common.internal.ConnectionEnv aCc,
                            weblogic.jdbcbase.pool.Connection aConn)

Method Detail

### makeResultSet

    protected java.sql.ResultSet makeResultSet(java.sql.ResultSet aRs,
                                               weblogic.jdbc.common.internal.ConnectionEnv aCc,
                                               java.lang.String aKey,
                                               weblogic.jdbcbase.pool.Connection aConn)
                                        throws java.sql.SQLException

  Overrides:
    makeResultSet in class weblogic.jdbcbase.pool.DatabaseMetaData

### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws java.sql.SQLException

  Specified by:
    supportsResultSetType in interface java.sql.DatabaseMetaData

### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int type,
                                                int concurrency)
                                         throws java.sql.SQLException

  Specified by:
    supportsResultSetConcurrency in interface java.sql.DatabaseMetaData

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    ownUpdatesAreVisible in interface java.sql.DatabaseMetaData

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    ownDeletesAreVisible in interface java.sql.DatabaseMetaData

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    ownInsertsAreVisible in interface java.sql.DatabaseMetaData

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    othersUpdatesAreVisible in interface java.sql.DatabaseMetaData

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    othersDeletesAreVisible in interface java.sql.DatabaseMetaData

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    othersInsertsAreVisible in interface java.sql.DatabaseMetaData

### updatesAreDetected

    public boolean updatesAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    updatesAreDetected in interface java.sql.DatabaseMetaData

### deletesAreDetected

    public boolean deletesAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    deletesAreDetected in interface java.sql.DatabaseMetaData

### insertsAreDetected

    public boolean insertsAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    insertsAreDetected in interface java.sql.DatabaseMetaData

### supportsBatchUpdates

    public boolean supportsBatchUpdates()
                                 throws java.sql.SQLException

  Specified by:
    supportsBatchUpdates in interface java.sql.DatabaseMetaData

### getUDTs

    public java.sql.ResultSet getUDTs(java.lang.String catalog,
                                      java.lang.String schemaPattern,
                                      java.lang.String typeNamePattern,
                                      int[] types)
                               throws java.sql.SQLException

  Specified by:
    getUDTs in interface java.sql.DatabaseMetaData

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.DatabaseMetaData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD